import * as React from 'react';
const IconReload = ({
  size,
  color = 'currentColor',
  ...props
}: { size?: number; fill?: string } & React.SVGProps<any>) => (
  <svg
    width={size || 24}
    height={size || 24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      d="M7.3693 16.6665C8.4369 17.6964 9.90818 18.3332 11.5003 18.3332C14.7219 18.3332 17.3336 15.7215 17.3336 12.4998C17.3336 12.0396 17.7067 11.6665 18.1669 11.6665C18.6272 11.6665 19.0003 12.0396 19.0003 12.4998C19.0003 16.642 15.6424 19.9998 11.5003 19.9998C9.60319 19.9998 7.8401 19.2946 6.50016 18.1297V19.1665C6.50016 19.6268 6.12706 19.9998 5.66683 19.9998C5.20659 19.9998 4.8335 19.6268 4.8335 19.1665V16.2498C4.8335 15.5595 5.39314 14.9998 6.0835 14.9998H8.79183C9.25206 14.9998 9.62516 15.3729 9.62516 15.8332C9.62516 16.2934 9.25206 16.6665 8.79183 16.6665H7.3693Z"
      fill={color}
    />
    <path
      d="M5.66667 12.5C5.66667 12.9602 5.29357 13.3333 4.83333 13.3333C4.3731 13.3333 4 12.9602 4 12.5C4 8.35787 7.35787 5 11.5 5C13.4017 5 15.1687 5.70863 16.5097 6.87858V5.83333C16.5097 5.3731 16.8828 5 17.3431 5C17.8033 5 18.1764 5.3731 18.1764 5.83333V8.75C18.1764 9.44036 17.6167 10 16.9264 10H14.0097C13.5495 10 13.1764 9.62691 13.1764 9.16667C13.1764 8.70642 13.5495 8.33333 14.0097 8.33333H15.631C14.5633 7.30345 13.0921 6.66667 11.5 6.66667C8.27834 6.66667 5.66667 9.27834 5.66667 12.5Z"
      fill={color}
    />
  </svg>
);
export default IconReload;
